Bug 189221 - lockspace in use error could be more helpful
lockspace in use error could be more helpful
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: David Teigland
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 10:21 EDT by Corey Marthaler
Modified: 2010-01-11 22:10 EST (History)
0 users

See Also:
Fixed In Version: GFS-6.1.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 13:06:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-04-18 10:21:45 EDT
Description of problem:
I created two gfs file systems with the exact same locktable and then attempted
to mount them one after another. The error I got for the second mount attempt
could be much more helpful.

[root@link-02 ~]# mount -t gfs /dev/link/link1 /mnt/link1
mount: File exists
[root@link-02 ~]# echo $?
32

"lockspace already in use" or something to that affect would be nicer. :)

Even /var/log/messages wasn't that much more helpful:

GFS: Trying to join cluster "lock_dlm", "LINK_CLUSTER:link1"
lock_dlm: new lockspace error -17
GFS: can't mount proto = lock_dlm, table = LINK_CLUSTER:link1, hostdata =
Apr 17 14:55:41 link-03 kernel: GFS: Trying to join cluster "lock_dlm",
"LINK_CLUSTER:link1"
Apr 17 14:55:41 link-03 kernel: lock_dlm: new lockspace error -17
Apr 17 14:55:41 link-03 kernel: GFS: can't mount proto = lock_dlm, table =
LINK_CLUSTER:link1, hostdata =


Version-Release number of selected component (if applicable):
[root@link-02 ~]# rpm -qa GFS
GFS-6.1.5-0
Comment 1 David Teigland 2006-04-18 10:50:38 EDT
Added log_error(ls, "lockspace already in use");
There's no way to report our own error messages
from mount(8).
Comment 2 Corey Marthaler 2006-11-07 13:06:13 EST
fix verified.

Note You need to log in before you can comment on or make changes to this bug.